ByCloud Docs
GuidesCLIAPISDK
get/v1/database/flavors

List database flavors

List available database flavors in the specified region

Header Parameters

X-Region

stringrequired

header

Region code to query resources from. Required for all resource operations.

Example: "sao1"

Responses

200

List of database flavors

Content-Type: application/json

flavors

arrayoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/database/flavors" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

List of database flavors

{
"flavors": [
{
"id": "d1",
"name": "db.m1.small",
"ram": 2048,
"vcpus": 2,
"disk": 0
}
]
}